<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.scytl.products.ov.channel.cc</groupId>
        <artifactId>control-components</artifactId>
        <version>2.1.7</version>
    </parent>

    <artifactId>control-components-commons</artifactId>

    <name>Control Components Commons</name>
    <description>Common mechanisms to be shared among the control components</description>

    <dependencies>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-messaging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.code.findbugs</groupId>
            <artifactId>jsr305</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-asymmetric</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-asymmetric</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-certificates</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-certificates</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-elgamal</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-elgamal</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-primitives</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-primitives</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-proofs</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-proofs</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-api-stores</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-stores</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.cryptolib</groupId>
            <artifactId>cryptolib-default-policies</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.math</groupId>
            <artifactId>scytl-math</artifactId>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-beans</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-jdbc</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-tx</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot</artifactId>
        </dependency>
        <dependency>
            <groupId>com.oracle</groupId>
            <artifactId>ojdbc8</artifactId>
        </dependency>
        <dependency>
          <groupId>com.zaxxer</groupId>
          <artifactId>HikariCP</artifactId>
        </dependency>
        <dependency>
            <groupId>log4j</groupId>
            <artifactId>log4j</artifactId>
        </dependency>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-jdk14</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-commons</artifactId>
            <version>${mixing.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-dto</artifactId>
        </dependency>
    </dependencies>
</project>
